<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header">
    <div class="main-job-description__right">
        <mb-button *ngIf="objFunction?.create" mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.addNew' | translate}}" (click)="onClickNew()"
            mbButtonType="NO_BORDER" mbButtonAvailableStyle="PRIMARY">
        </mb-button>
        <mb-button *ngIf="objFunction?.import"  mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.dowloadTemplate' | translate}}" (click)= "showUpload(footerTmplUploadFile)"
            mbButtonType="NO_BORDER" mbButtonAvailableStyle="BtnCancelHasBorder">
        </mb-button>
    </div>
</div>

<nz-card class="main-job-card">
  <app-mb-employee-info (selectEmployee)="onChange($event)" [type]="'SALARY'" [functionCode]="functionCode"></app-mb-employee-info>
</nz-card>

<div class='search__content--group'>
  <mb-table-merge-cell-wrap [mbTitle]="''" [nonBg]="true">
      <mb-table-merge-cell (dblClickRow) = "onClickItem($event)" [nzWidthConfig]="nzWidthConfig" [nzScrollHeight]="'35vh'"
                           (changePageNum)='search($event)'
                           [tableConfig]='tableConfig' [dataList]='dataTable'></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>
<ng-template #actionTmpl let-dataTmp="dataTmp">
  <div class="d-flex action">
    <mb-button *ngIf="objFunction?.edit" mbButtonAvailableStyle='CONTENT' (click)="onClickItem(dataTmp)">
      <img src="../../../../../assets/images/icon/edit.png" alt='edit' width="18" height="18"
           nz-tooltip nzTooltipTitle="{{'polManagement.label.edit' | translate}}" nzTooltipPlacement="bottom"></mb-button>
    <mb-button *ngIf="objFunction?.delete"  mbButtonAvailableStyle='CONTENT' (click)="deleteRecord(dataTmp,$event)">
      <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'
           nz-tooltip nzTooltipTitle="{{'polManagement.label.delete' | translate}}" nzTooltipPlacement="bottom"></mb-button>
  </div>
</ng-template>
<ng-template #flagStatusTmpl let-flagStatus='flagStatus'>
  <div class="display-center">
    <nz-tag [nzColor]="renderFlagStatus(flagStatus).class">
      {{renderFlagStatus(flagStatus).text}}
    </nz-tag>
  </div>
</ng-template>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'common.button.uploadFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  </section>
</ng-template>
